# Doesn't require any BIOS/copyrighted material, so it can go in core.

Name:           mednaffe
Version:        0.9.3
Release:        %mkrel 1
Summary:        Multi-platform front-end (GUI) for the Mednafen emulator (GTK+ 3)
Group:          Emulators
License:        GPLv3+
URL:            https://github.com/AmatCoder/mednaffe/
Source0:        https://github.com/AmatCoder/mednaffe/releases/download/%{version}/%{name}-%{version}.tar.gz
Patch1:         0001-Fix-scaling-of-images#156.patch
Patch2:         0002-Fix-regression-in-commit-8021b8e-Now-images-can-be-reduced.patch

BuildRequires:  pkgconfig(gtk+-3.0)
Requires:       mednafen
Provides:       mednafen-frontend

%description
Mednaffe is a front-end (GUI) for mednafen emulator.

Its main features are:

  * It is written in C language.
  * Available for Linux and Windows.
  * The only dependency is GTK 3.
  * GPLv3 licensed.


%prep
%autosetup -p1

%build
%configure --enable-gtk3
%make_build

%install
%make_install

rm -rf %{buildroot}%{_datadir}/pixmaps
rm -rf %{buildroot}%{_docdir}/mednaffe/COPYING

%files
%doc AUTHORS ChangeLog README
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
* Fri Apr 19 2024 daviddavid <daviddavid> 0.9.3-1.mga10
+ Revision: 2059506
- new version: 0.9.3

* Mon Jan 16 2023 daviddavid <daviddavid> 0.9.2-1.mga9
+ Revision: 1933915
- new version: 0.9.2

* Wed Mar 30 2022 umeabot <umeabot> 0.8.8-5.mga9
+ Revision: 1835358
- Mageia 9 Mass Rebuild

* Mon Oct 19 2020 akien <akien> 0.8.8-4.mga8
+ Revision: 1637075
- Rebuild in core, as mednafen is now in core

* Fri Feb 21 2020 umeabot <umeabot> 0.8.8-3.mga8.tainted
+ Revision: 1548881
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Sep 20 2018 umeabot <umeabot> 0.8.8-2.mga7.tainted
+ Revision: 1279504
- Mageia 7 Mass Rebuild

* Mon May 14 2018 akien <akien> 0.8.8-1.mga7.tainted
+ Revision: 1229406
- Version 0.8.8

* Sat Aug 26 2017 akien <akien> 0.8.6-1.mga7.tainted
+ Revision: 1148053
- Honor env CFLAGS, thus adding -g for debugsourcefiles.list
- Version 0.8.6

* Wed Feb 15 2017 akien <akien> 0.8.5-1.mga6.tainted
+ Revision: 1086280
- Version 0.8.5

* Mon Jan 23 2017 akien <akien> 0.8.4-1.mga6.tainted
+ Revision: 1083090
- Version 0.8.4

* Thu Nov 24 2016 akien <akien> 0.8.3-1.mga6.tainted
+ Revision: 1069709
- Fix %%files
- Version 0.8.3

* Sun Jan 10 2016 akien <akien> 0.8-1.mga6.tainted
+ Revision: 921012
- imported package mednaffe

